MINTPY-IONO_TEC(1)

NAME
mintpy-iono_tec - Calculate ionospheric ramps using Global Iono Maps (GIM) from GNSS-based TEC products.

DESCRIPTION
usage: iono_tec.py [-h] -g GEOM_FILE [-s TEC_SOL] [--tec-dir TEC_DIR]

    [--update] [--iono-file IONO_FILE] [-i {nearest,linear3d,linear2d}] [--norotate] [--ratio SUB_TEC_RATIO] dis_file

Calculate ionospheric ramps using Global Iono Maps (GIM) from GNSS-based TEC products.

  positional arguments:

dis_file
    displacement time-series HDF5 file, i.e. timeseries.h5

  options:

-h, --help
    show this help message and exit

-g GEOM_FILE, --geomtry GEOM_FILE
    geometry file including incidence/azimuthAngle.

-s TEC_SOL, --sol TEC_SOL, --tec-sol TEC_SOL
    TEC solution center (default: jpl).

jpl - JPL (Final)
    igs - IGS (Final) cod - CODE (Final)

Check more at:
    https://cddis.nasa.gov/Data_and_Derived_Products/GNSS/atmospheric_products.html

--tec-dir TEC_DIR
    directory of downloaded GNSS TEC data (default: ${WEATHER_DIR}/GIM_IGS).

--update
    Enable update mode.

--iono-file IONO_FILE
    calculated LOS iono ramp time-series file.

  GIM extraction:

    Parameters to extract TEC at point of interest from GIM (mainly for impact demonstration).

-i {nearest,linear3d,linear2d}, --interp {nearest,linear3d,linear2d}
    Interpolation method to grab the GIM value at the point of interest (default: linear3d).

--norotate
    Rotate TEC maps along the longitude direction to compensate the correlation between the ionosphere and the Sun's position, as suggested by Schaer et al. (1998). For 'interp_method == linear3d' ONLY. (default: True).

--ratio SUB_TEC_RATIO
    Ratio to calculate the sub-orbital TEC from the total TEC. Set to "adaptive" for seasonally adaptive scaling.

Based on equation (14) from Yunjun et al. (2022).
    Set to "a value" within (0,1] for a fixed scaling E.g. 0.75 for TerraSAR-X (Gisinger et al., 2021)

0.90 for Sentinel-1 (Gisinger et al., 2021)
    0.69 for Sentinel-1 (Yunjun et al., 2022)

  references:

    Yunjun, Z., Fattahi, H., Pi, X., Rosen, P., Simons, M., Agram, P., & Aoki, Y. (2022). Range Geolocation Accuracy

    of C/L-band SAR and its Implications for Operational Stack Coregistration. IEEE Trans. Geosci. Remote Sens.

    Schaer, S., Gurtner, W., & Feltens, J. (1998). IONEX: The ionosphere map exchange format version 1.1.

    Paper presented at the Proceedings of the IGS AC workshop, Darmstadt, Germany, Darmstadt, Germany.

  example:

    iono_tec.py timeseriesRg.h5 -g inputs/geometryRadar.h5 iono_tec.py timeseriesRg.h5 -g inputs/geometryRadar.h5 -s cod